# PCGetType

Gets the PC method type and name (as a string) from the PC context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCGetType(PC pc,PCType *meth)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

name -name of preconditioner

### Keywords

PC, get, method, name, type

### See Also

PCSetType()

Level:intermediate
Location: src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages